Subject: Baby Dogwood Tree

From: [email-masked] (Casie Harmon)
Date: 28 Apr 1996 02:18:39 GMT

I know this may not be the most appropriate newsgroup for this.. but I'm 
having trouble getting info on this.
I'm a travelling college student, on a college budget.. and I want a baby 
dogwood tree to keep me company.
It would have to be potted of course, and in relatively similar soil to 
that that we have in Missouri.  I don't have much money to spend, and 
don't want a tree bigger than 4 feet tall, the smaller the better.
Does anyone know who I could contact to get one for a good price?
reply via email if you have any info/advice
[email-masked]